Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::FileChooserOpenButton Class Reference

A GtkFileChooserButton "File/Open" C++ wrapper class. More...

`#include <xfc/gtk/filechooserbutton.hh>`

Inheritance diagram for Xfc::Gtk::FileChooserOpenButton:

List of all members.

## Public Member Functions

Constructors

- FileChooserOpenButton ()
    Constructs a new FileChooserOpenButton with the title "Open...".
- FileChooserOpenButton (const String &title)
    Constructs a new FileChooserOpenButton with the given title.
- virtual ~FileChooserOpenButton ()
    Destructor.

## Detailed Description

A GtkFileChooserButton "File/Open" C++ wrapper class.

FileChooserOpenButton is a widget that lets the user select a file to open. (see FileChooserButton). To select folders only, use FileChooserButton and set the action: Gtk:FILE_CHOOSER_ACTION_SELECT_FOLDER.

## Constructor & Destructor Documentation

Xfc::Gtk::FileChooserOpenButton::FileChooserOpenButton | ( | const String & | title | ) |

Constructs a new FileChooserOpenButton with the given title.

Parameters:

  | title | The title of the browse dialog.

The documentation for this class was generated from the following file:

- filechooserbutton.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3